import { use } from 'echarts/core'
import { SVGRenderer, CanvasRenderer } from 'echarts/renderers'
import { BarChart, LineChart } from 'echarts/charts'
import {
  TitleComponent,
  GridComponent,
  LegendComponent,
  MarkLineComponent,
  ToolboxComponent,
  TooltipComponent,
  DataZoomComponent,
} from 'echarts/components'

const useECharts = () => {
  return use([
    CanvasRenderer,
    SVGRenderer,
    BarChart,
    LineChart,
    TitleComponent,
    GridComponent,
    LegendComponent,
    MarkLineComponent,
    ToolboxComponent,
    TooltipComponent,
    DataZoomComponent,
  ])
}

export default useECharts
